# REY X/Twitter Score ZK certificate (GIP-4)

### REY X/Twitter Score Data

The following table list the REY X/Twitter Score data contained in a Galactica zkCert. These need to be collected and validated by the Guardian.

<table><thead><tr><th width="232.33333333333331">Key</th><th>Description</th><th>Technical details</th></tr></thead><tbody><tr><td><code>xID</code></td><td>Numerical twitter ID.</td><td>UTF-8 String. See an example and learn more <a href="https://developer.x.com/en/docs/x-ids">here</a></td></tr><tr><td><code>xUsername</code></td><td>X/Twitter screen name, handle, or alias that this user identifies themselves with.</td><td>Only latin letters, numbers or underscore are allowed. From 4 to 15 symbols. Case insensitive: before hashing it will be converted to lowercase. Lean more <a href="https://help.x.com/en/managing-your-account/x-username-rules">here</a></td></tr><tr><td><code>reyScoreAll</code></td><td>Total Rey score of the user</td><td>Whole number</td></tr><tr><td><code>reyScoreGalactica</code></td><td>Score of the user that relates to Galactica.</td><td>Whole number</td></tr><tr><td><code>reyFaction</code></td><td>User faction that depends on the score.</td><td>Whole number</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.galactica.com/galactica-developer-documentation/guardian-guide/create-and-issue-zkkyc/zkkyc-gip-1-1-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
